package cn.com.victorysoft.business.condition.dao;

import cn.com.victorysoft.business.condition.entity.AbnormalWellReason;
import cn.com.victorysoft.business.condition.param.AbnormalWellReasonParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AbnormalWellReasonDao {
    List<AbnormalWellReason> selectList(AbnormalWellReasonParam param);

    int deleteByPrimaryKey(AbnormalWellReason key);

    int insert(AbnormalWellReason record);

    AbnormalWellReason selectByPrimaryKey(AbnormalWellReason key);

    int updateByPrimaryKeySelective(AbnormalWellReason record);

    int updateByPrimaryKey(AbnormalWellReason record);
}